<?php

namespace App\Modules\BookingAssign\Domain;

use App\Modules\Booking\Domain\IdBooking;
use App\Modules\LeadBooking\Domain\IdLeadBooking;

interface BookingAssignRepository
{
    public function index(IdBookingAssign $id);
    public function find(IdBooking $idBooking, string $action);
    public function insert(InsertBookingAssign $value);
    public function update(UpdateBookingAssign $value);
    public function delete(IdBookingAssign $id);
}
